body, * {
  box-sizing: border-box;
}

.red {
  color:red;
}

.bold {
  font-weight:bold;
}

.italic {
  font-style: italic;
}

.hidden {
  display:none;
}

.cursor-pointer {
  cursor:pointer;
}


.inline {
  display:inline;
}

.single_line_ellipsis { /* żeby za długi tekst nie wychodził poza pole tylko żeby był zakończony elipsisem */
  overflow: hidden;
  white-space:nowrap;
  text-overflow: ellipsis;
}

.flex {
  display:flex;
}

.block {
  display:block;
}

.inline-block {
  display:inline-block;
}

.inline-flex {
  display:inline-flex;
}


/* w pionie */
.items-start     {align-items: flex-start;}
.items-end       {align-items: flex-end;}
.items-center    {align-items: center;}
.items-baseline  {align-items: baseline;}
.items-stretch   {align-items: stretch;}

/* w poziomie */
.justify-start   {justify-content: flex-start};
.justify-end     {justify-content: flex-end};
.justify-center  {justify-content: center};
.justify-between {justify-content: space-between};
.justify-around  {justify-content: space-around};
.justify-evenly  {justify-content: space-evenly};

/* styl placeholdera w inputach */
::-webkit-input-placeholder { /* WebKit, Blink, Edge */
    color:    #C3CDDD;
}
:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
   color:    #C3CDDD;
   opacity:  1;
}
::-moz-placeholder { /* Mozilla Firefox 19+ */
   color:    #C3CDDD;
   opacity:  1;
}
:-ms-input-placeholder { /* Internet Explorer 10-11 */
   color:    #C3CDDD;
}
.enter {display: inline-block; text-align: center; }

table {
  border-collapse: collapse;
}

.error {
  outline:1px solid red;
}

/*///////////////////////////////////////////////////////
// Confirm START
///////////////////////////////////////////////////////*/

.confirmdlg_dark_bkg {
  z-index:500;
  background:black;
  opacity:0.3;
}

.confirmdlg {
  background:white;
  min-width: 300px;
  border:1px solid #000;
  -webkit-box-shadow: 10px 10px 12px -2px rgba(0,0,0,0.75);
  -moz-box-shadow: 10px 10px 12px -2px rgba(0,0,0,0.75);
  box-shadow: 10px 10px 12px -2px rgba(0,0,0,0.75);
  border-radius: 3px;
  padding:10px;
  margin:0px;
  z-index:501;
  color:black !important;
  font-family: arial, sans-serif !important;
  font-size: 16px !important;
}

.confirmdlg .confirmdlg_title {
  display:block;
  text-align: left;
  font-size: 16px !important;
  font-weight: bold !important;
  margin-bottom:20px;
}

.confirmdlg .confirmdlg_alert {
  display:block;
  text-align: left;
  margin-bottom:20px;
  line-height: 1.4;
}

.confirmdlg .confirmdlg_btns {
  display:block;
  float:right;
  position:relative;
  height:40px;
}

.confirmdlg .confirmdlg_btns .confirmdlg_btn {
  display:inline-block;
  width:auto;
  top:0;
/*  position:absolute; */
  background:white;
  border:1px solid #000;
  border-radius: 3px;
  padding:5px;
  color:black;
  margin-left:10px;
  cursor:pointer;
}

.confirmdlg .confirmdlg_btns .confirmdlg_btn:hover {
  background:#ddd;
}

.confirmdlg .confirmdlg_btns .confirmdlg_btn#btn_no {
/*  right:10px; */
}

.confirmdlg .confirmdlg_btns .confirmdlg_btn#btn_yes {
/*  right:80px; */

  /* focus outline: */
  outline-width: 1px;
  outline-color:rgb(77, 144, 254);
  outline-offset:-1.6px;
  outline-style:auto;
}

/*///////////////////////////////////////////////////////
// Confirm END
///////////////////////////////////////////////////////*/

.result_fader2 { /* styl dla zanikających alertów */
  text-align:center;
  padding:20px 40px;
  color:white;
  font-size:24px;
  background-color:#ff6600;
  border-radius:10px;
  z-index: 2000;
}

.result_fader2.ok {
  background-color:green;
}

.result_fader2.warning {
  background-color:#ff6600;
}

.result_fader2.error {
  background-color:red;
  outline:none;
}

.empty_dymek {
  display:inline-block;
  width:11px;
  height:11px;
  background: none;
  border:0;
  margin:0 5px 0 0;
  padding:0;
}

.dymek_cont {
  position:relative;
  display:inline-block;
/*  display:none; */
  width:0.9rem;
  height:0.9rem;
  overflow:visible;
/*  background: url('../pics/info.png') no-repeat left top; */
  border:0;
  margin:0;
  padding:0;
  margin-left: 0.3rem;
  top:0.1rem;
}

.dymek_cont svg {
  color:#0249a4;
  position:absolute;
  width:100%;
  height:100%
}

.dymek_cont svg.light {
  color:white;
  position:absolute;
  width:100%;
  height:100%
}

.dymek_cont .dymek_inner {
  position:absolute;
  display:none;
  background:none;
  border:none;
  padding-left:1.2rem;
  padding-right:1.2rem;
}

.dymek_cont .dymek_inner.lewy {
  right:0px;
}

*[dymek_lewy] .dymek_cont .dymek_inner {
  right:0px;
}

.dymek_cont .dymek_inner .dymek_inner_txt {
  position:relative;
  background-color:#0249a4;
  white-space: nowrap;
  cursor:default;
  padding:0.5rem;
  color: white;
  border-radius: 0.3rem;
  font-family:arial, sans-serif;
  font-weight: normal;
  font-size:12px;
  text-decoration: none;
/*  box-shadow: 5px 5px 6px -1px rgba(0,0,0,0.75); */
}

.dymek_cont .dymek_inner .dymek_inner_txt::after {
  display:block;
  content: '';
  position:absolute;
  width:0.7rem;
  height:0.7rem;
  left:-0.2rem;
  top:0.15rem;
  background:#0249a4;
  transform:rotate(45deg);
  z-index: -1;
}

.dymek_cont .dymek_inner.lewy .dymek_inner_txt:after {
  left:initial;
  right:-0.2rem;
}

.dymek_cont .dymek_inner .dymek_inner_txt .dymek_head {
  font-weight:bold;
  margin-bottom:0.7rem;
  font-size:100%;
}

.dymek_cont:hover .dymek_inner, .dymek_cont .dymek_inner:hover {
  display:block;
  z-index: 1;
}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #444;
  opacity: 1; /* Firefox */
}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #444;
  opacity: 1; /* Firefox */
}

.wait_spinner {
  z-index:200;
  position:absolute;
  background: url('../back/pics/loading-spinner2.gif') no-repeat center center;
  width:128px;
  height:128px;
}

.cookie_alert {
  position:absolute;
  z-index:9999;
  top:0;
  left:0;
  width:100%;
  padding:20px 5%;
  background: white;
  color:red;
  font-weight:bold;
  border: 0;
  border-bottom:1px solid silver;
  clear:both;
}

.cookie_alert .close_cookie_alert {
  width:48px;
  height:48px;
  background: url('../pics/cookie_close.png') top left no-repeat;
  opacity:.7;
  float:right;
}

.cookie_alert .close_cookie_alert:hover {
  opacity:1;
}

@media screen and (max-width:768px) {
}
